import { eventManager } from './eventManager';
import { EVENT } from '../constants';
var contextMenu = {
  show: function show(_ref) {
    var event = _ref.event,
      id = _ref.id,
      props = _ref.props,
      position = _ref.position,
      children = _ref.children;
    if (event.preventDefault) event.preventDefault();
    eventManager.emit(EVENT.HIDE_ALL).emit(id, {
      event: event.nativeEvent || event,
      props: props,
      position: position,
      children: children
    });
  },
  hideAll: function hideAll() {
    eventManager.emit(EVENT.HIDE_ALL);
  }
};
export { contextMenu };