"use strict";

exports.__esModule = true;
var _exportNames = {
  transactionManager: true,
  checkPropTypes: true,
  css: true
};
exports.transactionManager = exports.css = exports.checkPropTypes = void 0;
var _asset = require("./asset");
Object.keys(_asset).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _asset[key]) return;
  exports[key] = _asset[key];
});
var _cloneDeep = require("./clone-deep");
Object.keys(_cloneDeep).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _cloneDeep[key]) return;
  exports[key] = _cloneDeep[key];
});
var _createContent = require("./create-content");
Object.keys(_createContent).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _createContent[key]) return;
  exports[key] = _createContent[key];
});
var _createIcon = require("./create-icon");
Object.keys(_createIcon).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _createIcon[key]) return;
  exports[key] = _createIcon[key];
});
var _cursor = require("./cursor");
Object.keys(_cursor).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _cursor[key]) return;
  exports[key] = _cursor[key];
});
var _getPrototypeOf = require("./get-prototype-of");
Object.keys(_getPrototypeOf).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _getPrototypeOf[key]) return;
  exports[key] = _getPrototypeOf[key];
});
var _hasOwnProperty = require("./has-own-property");
Object.keys(_hasOwnProperty).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _hasOwnProperty[key]) return;
  exports[key] = _hasOwnProperty[key];
});
var _isCssUrl = require("./is-css-url");
Object.keys(_isCssUrl).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _isCssUrl[key]) return;
  exports[key] = _isCssUrl[key];
});
var _isElement = require("./is-element");
Object.keys(_isElement).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _isElement[key]) return;
  exports[key] = _isElement[key];
});
var _isEsModule = require("./is-es-module");
Object.keys(_isEsModule).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _isEsModule[key]) return;
  exports[key] = _isEsModule[key];
});
var _isFormEvent = require("./is-form-event");
Object.keys(_isFormEvent).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _isFormEvent[key]) return;
  exports[key] = _isFormEvent[key];
});
var _isFunction = require("./is-function");
Object.keys(_isFunction).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _isFunction[key]) return;
  exports[key] = _isFunction[key];
});
var _isReact = require("./is-react");
Object.keys(_isReact).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _isReact[key]) return;
  exports[key] = _isReact[key];
});
var _isDefined = require("./is-defined");
Object.keys(_isDefined).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _isDefined[key]) return;
  exports[key] = _isDefined[key];
});
var _navtiveSelection = require("./navtive-selection");
Object.keys(_navtiveSelection).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _navtiveSelection[key]) return;
  exports[key] = _navtiveSelection[key];
});
var _setPrototypeOf = require("./set-prototype-of");
Object.keys(_setPrototypeOf).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _setPrototypeOf[key]) return;
  exports[key] = _setPrototypeOf[key];
});
var _shallowEqual = require("./shallow-equal");
Object.keys(_shallowEqual).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _shallowEqual[key]) return;
  exports[key] = _shallowEqual[key];
});
var _svgIcon = require("./svg-icon");
Object.keys(_svgIcon).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _svgIcon[key]) return;
  exports[key] = _svgIcon[key];
});
var _uniqueId = require("./unique-id");
Object.keys(_uniqueId).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _uniqueId[key]) return;
  exports[key] = _uniqueId[key];
});
var _buildComponents = require("./build-components");
Object.keys(_buildComponents).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _buildComponents[key]) return;
  exports[key] = _buildComponents[key];
});
var _appHelper = require("./app-helper");
Object.keys(_appHelper).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _appHelper[key]) return;
  exports[key] = _appHelper[key];
});
var _misc = require("./misc");
Object.keys(_misc).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _misc[key]) return;
  exports[key] = _misc[key];
});
var _schema = require("./schema");
Object.keys(_schema).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _schema[key]) return;
  exports[key] = _schema[key];
});
var _nodeHelper = require("./node-helper");
Object.keys(_nodeHelper).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _nodeHelper[key]) return;
  exports[key] = _nodeHelper[key];
});
var _cloneEnumerableProperty = require("./clone-enumerable-property");
Object.keys(_cloneEnumerableProperty).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _cloneEnumerableProperty[key]) return;
  exports[key] = _cloneEnumerableProperty[key];
});
var _logger = require("./logger");
Object.keys(_logger).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _logger[key]) return;
  exports[key] = _logger[key];
});
var _isShaken = require("./is-shaken");
Object.keys(_isShaken).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _isShaken[key]) return;
  exports[key] = _isShaken[key];
});
var _isPluginEventName = require("./is-plugin-event-name");
Object.keys(_isPluginEventName).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _isPluginEventName[key]) return;
  exports[key] = _isPluginEventName[key];
});
var _css = _interopRequireWildcard(require("./css-helper"));
exports.css = _css;
var _transactionManager = require("./transaction-manager");
exports.transactionManager = _transactionManager.transactionManager;
var _lowcodeShared = require("@gant-lowcode/lowcode-shared");
Object.keys(_lowcodeShared).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _lowcodeShared[key]) return;
  exports[key] = _lowcodeShared[key];
});
var _isDynamicSetter = require("./is-dynamic-setter");
Object.keys(_isDynamicSetter).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _isDynamicSetter[key]) return;
  exports[key] = _isDynamicSetter[key];
});
var _isCustomView = require("./is-custom-view");
Object.keys(_isCustomView).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _isCustomView[key]) return;
  exports[key] = _isCustomView[key];
});
var _isSetterConfig = require("./is-setter-config");
Object.keys(_isSetterConfig).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _isSetterConfig[key]) return;
  exports[key] = _isSetterConfig[key];
});
var _workspace = require("./workspace");
Object.keys(_workspace).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _workspace[key]) return;
  exports[key] = _workspace[key];
});
var _contextMenu = require("./context-menu");
Object.keys(_contextMenu).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _contextMenu[key]) return;
  exports[key] = _contextMenu[key];
});
var _checkPropTypes = require("./check-prop-types");
exports.checkPropTypes = _checkPropTypes.checkPropTypes;
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }