import { ReactNode, ReactElement } from 'react';
import { BooleanPredicate, PredicateParams, TriggerEvent } from '../types';
export declare function isFn(v: any): v is Function;
export declare function isStr(v: any): v is String;
export declare function cloneItems(children: ReactNode, props: {
    triggerEvent: TriggerEvent;
    propsFromTrigger?: object;
}): ReactElement<any, string | import("react").JSXElementConstructor<any>>[];
export declare function getMousePosition(e: TriggerEvent): {
    x: number;
    y: number;
};
export declare function getPredicateValue(predicate: BooleanPredicate, payload: PredicateParams): boolean;
