"use strict";

exports.__esModule = true;
exports.hideOnEvents = exports.NOOP = exports.EVENT = exports.CssClass = void 0;
/*
 * css classes mapping
 * */
var CssClass = exports.CssClass = /*#__PURE__*/function (CssClass) {
  CssClass["menu"] = "contexify";
  CssClass["submenu"] = "contexify_submenu";
  CssClass["submenuOpen"] = "contexify_submenu-isOpen";
  CssClass["rightSlot"] = "contexify_rightSlot";
  CssClass["separator"] = "contexify_separator";
  CssClass["item"] = "contexify_item";
  CssClass["itemDisabled"] = "contexify_item-disabled";
  CssClass["itemContent"] = "contexify_itemContent";
  CssClass["itemClickedFeedback"] = "contexify_item-feedback";
  CssClass["theme"] = "contexify_theme-";
  CssClass["animationWillEnter"] = "contexify_willEnter-";
  CssClass["animationWillLeave"] = "contexify_willLeave-";
  return CssClass;
}({});
var EVENT = exports.EVENT = /*#__PURE__*/function (EVENT) {
  EVENT[EVENT["HIDE_ALL"] = 0] = "HIDE_ALL";
  return EVENT;
}({});
var NOOP = exports.NOOP = function NOOP() {};
var hideOnEvents = exports.hideOnEvents = ['resize', 'contextmenu', 'click', 'scroll',
// comment blur in dev so you can toggle console without closing the menu
'blur'];