import React from 'react';
import { getPredicateValue } from './utils';
import { CssClass } from '../constants';
export var Separator = function Separator(_ref) {
  var triggerEvent = _ref.triggerEvent,
    data = _ref.data,
    propsFromTrigger = _ref.propsFromTrigger,
    _ref$hidden = _ref.hidden,
    hidden = _ref$hidden === void 0 ? false : _ref$hidden;
  return getPredicateValue(hidden, {
    data: data,
    triggerEvent: triggerEvent,
    props: propsFromTrigger
  }) ? null : /*#__PURE__*/React.createElement("div", {
    className: CssClass.separator
  });
};