import _extends from "@babel/runtime/helpers/extends";
import { contextMenu } from '../core';
export function useContextMenu(props) {
  return {
    show: function show(params) {
      contextMenu.show(_extends({}, props, params));
    },
    hideAll: function hideAll() {
      contextMenu.hideAll();
    }
  };
}