"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Separator = void 0;
var _react = _interopRequireDefault(require("react"));
var _utils = require("./utils");
var _constants = require("../constants");
var Separator = exports.Separator = function Separator(_ref) {
  var triggerEvent = _ref.triggerEvent,
    data = _ref.data,
    propsFromTrigger = _ref.propsFromTrigger,
    _ref$hidden = _ref.hidden,
    hidden = _ref$hidden === void 0 ? false : _ref$hidden;
  return (0, _utils.getPredicateValue)(hidden, {
    data: data,
    triggerEvent: triggerEvent,
    props: propsFromTrigger
  }) ? null : /*#__PURE__*/_react["default"].createElement("div", {
    className: _constants.CssClass.separator
  });
};