export interface ItemTrackerRecord {
    node: HTMLElement;
    isSubmenu: boolean;
    submenuRefTracker?: ItemTracker;
    setSubmenuPosition?: () => void;
    keyMatcher?: false | ((e: KeyboardEvent) => void);
}
export type ItemTracker = ReturnType<typeof useItemTracker>;
export declare const useItemTracker: () => Map<HTMLElement, ItemTrackerRecord>;
